<?php
global $post, $blog_id;
//Meta for this item
$link = get_permalink($post->ID);  
$args  = array('postid' => $post->ID, 'width' => 580, 'height' => 9999, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '580auto');
$image = get_obox_media($args); ?>

<li id="left-column">
    <!--Show the Page Content if there is any -->        
    <div class="copy">
	    <?php the_content(""); ?>
    </div>
    
    <!--Let's check the post for additional images: -->	
    <?php						
	    $attachmentargs = array("post_type" => "attachment", "post_parent" => $post->ID, "numberposts" => "-1", "post_status" => null,);
    	$attachments = get_posts($attachmentargs);
	    if(!(empty($attachments)) && count($attachments) > 1) : ?>
    
        <ul class="single-gallery-list clearfix">
            <?php foreach($attachments as $attachement => $this_attachment) :  
                $image = wp_get_attachment_image_src($this_attachment->ID, '580auto', '', true);
                $full = wp_get_attachment_image_src($this_attachment->ID,  'full'); ?>

            <!--Show the Images -->	
            <li <?php if(!isset($counter)) : ?>class="active"<?php endif; ?>>
                <a rel="lightbox" class="" href="<?php echo $full[0]; ?>" >
                    <img src="<?php echo $image[0]; ?>" alt="<?php the_title($post->ID) ?>" />
                </a>
            </li>
            <?php $counter = 1; endforeach; ?>	
        </ul>
        <!--End of additional image query -->            
	<?php endif; ?>
            
	<!--Begin Next/Prev Links -->                    
    <ul class="next-prev-post-nav">
        <li>
            <?php if (get_adjacent_post(false, '', true)): // if there are older posts ?>
                &larr;  <?php previous_post_link("%link", "%title"); ?>
            <?php else : ?>
                &nbsp;
            <?php endif; ?>
        </li>
        <li>
            <?php if (get_adjacent_post(false, '', false)): // if there are newer posts ?>
                <?php next_post_link("%link", "%title"); ?> &rarr;
            <?php else : ?>
                &nbsp;
            <?php endif; ?>    
        </li>
    </ul>
</li>