<?php
global $post; 
$link = get_permalink($post->ID); 
$args  = array('postid' => $post->ID, 'width' => 528, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '580auto');
$image = get_obox_media($args); 


if(!is_page()) :
	$author = get_option("ocmx_meta_author_post");
	$social = get_option("ocmx_meta_social_post");
	$date = get_option("ocmx_meta_date_post");
	$comments = get_option("ocmx_meta_comments");
	$category = get_option("ocmx_meta_category");
else :
	$comments = "false";
	$category = "false";
	$author = get_option("ocmx_meta_author_page");
	$social = get_option("ocmx_meta_social_page");
	$date = get_option("ocmx_meta_date_page");
endif;
?>

<div class="post-content clearfix">

    <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
    <!--Show the Meta if Enabled -->
    <?php if($category && $comments =="true") : ?>
        <h5 class="date">
            <?php if( $category != "false" ) {_e("in ", "ocmx"); ?> <?php the_category(', ');} // Hide the category unless enabled in Theme Options ?>
            <?php if( $comments !="false" && comments_open()) : ?>&nbsp;<a href="<?php echo get_permalink($archive_data->ID); ?>/#comments" class="comment-count" title="Comment on <?php echo get_permalink($archive_data->post_title); ?>"><?php echo $post->comment_count; ?> <?php _e("comments", "ocmx"); ?></a>
            <?php endif; ?>
        </h5>
    <?php endif; ?>
    <!--If this is a page, we won't show the date-->
   
    <?php if( $date != "false"): ?>     	
        <div class="dater">
            <span class="month"><?php echo date_i18n('M', strtotime($post->post_date)); ?></span>
            <span class="day"><?php echo date_i18n('jS', strtotime($post->post_date)); ?></span>
        </div>
    <?php endif; ?>

    <!-- Show the Featured Image -->    
    <?php if( $image !="" ) : ?>
	    <div class="post-image fitvid">
		    <?php echo $image; ?>
	    </div>
    <?php endif; ?>
    
	<!-- Begin Content -->
	<div class="copy <?php echo $image_class; ?> clearfix">
		<?php the_content(""); ?>
		<?php wp_link_pages(); ?>
	</div>
    
    
    <!-- Begin Tags -->
	<?php if( get_option( "ocmx_meta_tags" ) != "false" &&  !is_page()): ?>
	    <div class="entry-meta">
	    	<?php the_tags('',''); ?>
	    </div>
    <?php endif; ?>
   
    
   <?php if( get_option("ocmx_social_tag") !="" ) : ?>
		<div class="social"><?php echo get_option("ocmx_social_tag"); ?></span> 
    <?php elseif( get_option("ocmx_meta_social_post") !="false"  ) : // Show sharing if enabled in Theme Options ?>
    	<!-- Go to www.addthis.com/dashboard to customize your tools -->
		<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-539072aa132cc69d" async="async"></script>
		<div class="social addthis_sharing_toolbox"></div>
	<?php endif; ?>

    
    <!-- Begin Author Block -->
    <?php if($author != "false" ): ?>         
	    <?php global $show_author; ?>
        <div class="post-author clearfix">
            <?php echo get_avatar( get_the_author_meta('email'), "80" ); ?>
            <div class="author_text">
                <h4><?php _e("About the Author, ", "ocmx"); the_author_posts_link(); ?></h4>
                <p><?php the_author_meta('description'); ?></p>
            </div>
        </div>
    <?php endif; ?>
    
    <?php if(!is_page() && get_option( "ocmx_meta_post_links" ) != "false" ) : //Show the Post Nav unless unchecked in Theme Options ?>            
        <ul class="next-prev-post-nav">
            <li>
            	<?php if ( get_adjacent_post( false, '', true ) ): // if there are older posts ?>
            		&larr;  <span><?php previous_post_link("%link", "%title"); ?></span>
            	<?php else : ?>
            		&nbsp;
            	<?php endif; ?>
            </li>
            <li>
				<?php if ( get_adjacent_post( false, '', false ) ): // if there are newer posts ?>
                	<span><?php next_post_link("%link", "%title"); ?></span> &rarr;
                <?php else : ?>
                	&nbsp;
                <?php endif; ?>    
            </li>
        </ul>
    <?php endif; ?>
    
    <?php if(comments_open()) { comments_template(); } ?>
   
</div><!-- End Post Content Container -->     