<?php 
/* 
Template Name: Shop Sidebar Page 
*/
get_header(); ?>

<ul class="double-cloumn clearfix">
    <li id="left-column">
        <ul class="blog-main-post-container">
            <li class="post clearfix">
                <?php if (have_posts()) :
				global $show_author, $post;
				$show_author = 1;
				while (have_posts()) : the_post(); setup_postdata($post);
					$link = get_permalink($post->ID); 
					$args  = array('postid' => $post->ID, 'width' => 840, 'hide_href' => false, 'imglink' => true, 'imgnocontainer' => true, 'resizer' => '880auto');
					$image = get_obox_media($args); ?>
					<div class="post-content clearfix">
						<?php if($image !="") : ?>
						   <div class="post-image">
							 <?php echo $image; ?>
						  </div>
						<?php endif; ?>
						<h2 class="page-title"><?php the_title(); ?></h2>
									
						<div class="copy <?php echo $image_class; ?> clearfix">
							 <?php the_content(""); ?>
						</div>
					</div>
				<?php endwhile;
				else :
					ocmx_no_posts();
				endif; ?> 
			<?php if(comments_open()) { comments_template(); } ?>
    		</li>
    	</ul>
    </li>
    <li id="right-column">
        <ul class="widget-list">
        	<?php dynamic_sidebar('shopsidebar'); ?>
        </ul>
    </li>
</ul>
<?php get_footer(); ?>