<?php global $wpdb;	
	//DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts  
	$fetch_archive = $wpdb->get_results("SELECT * FROM " . $wpdb->posts . " WHERE post_status='publish' AND post_type = 'post' GROUP BY $wpdb->posts.ID ORDER BY post_date DESC");
	$last_month = date_i18n("m Y", strtotime($fetch_archive[0]->post_date));
	get_header(); 
?>
<ul class="double-cloumn clearfix">    
    <li id="left-column">	
		<h3 class="page-title"><?php _e("The page you are looking for does not exist", "ocmx"); ?></h3>
        <ul class="archives_list">
            <?php
                foreach($fetch_archive as $archive_data) :
                    global $post;
                    $post = $archive_data;
                    $category_id = get_the_category($archive_data->ID);
                    $this_category = get_category($category_id[0]->term_id);
                    $this_category_link = get_category_link($category_id[0]->term_id);
                    $link = get_permalink($archive_data->ID);
					$args  = array('postid' => $post->ID, 'width' => 50, 'height' => 50, 'hide_href' => false, 'imglink' => true, 'imgnocontainer' => true, 'resizer' => '50x50');
	                $image = get_obox_media($args); ?>
                    <li class="clearfix">
                        <div class="archive-post-image">
	                        <?php echo $image; ?>
                        </div>
			            <?php if(get_option("ocmx_meta_date") != "false"): ?>     	
                        <h5 class="date">
                            <?php echo date_i18n('F dS', strtotime($archive_data->post_date)); ?>
                        </h5>
                        <?php endif; ?>
                        <h4 class="post-title"><a href="<?php echo get_permalink($archive_data->ID); ?>"><?php echo substr($archive_data->post_title, 0, 45); ?></a></h4>
                        <a href="<?php echo get_permalink($archive_data->ID); ?>/#comments" class="comment-count" title="Comment on <?php echo get_permalink($archive_data->post_title); ?>">
                            <?php echo $archive_data->comment_count; ?> <?php _e("comments", "ocmx"); ?>
                        </a>
                        <span class="label">
                            <a href="<?php echo $this_category_link; ?>" title="View all posts in <?php echo $this_category->name; ?>" rel="category tag"><?php echo $this_category->name; ?></a>
                        </span>
                    </li>
                <?php
                    $last_month = date_i18n("m Y", strtotime($archive_data->post_date));
                endforeach;
            ?>
       
        </ul>
         <?php motionpic_pagination("clearfix", "pagination clearfix"); ?>
	</li>
	<?php get_sidebar(); ?>
</ul>
<?php get_footer(); ?>