<?php
/* Template Name: Archives */

	get_header(); 
	global $wpdb;	
	//DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts  
	global $wpquery;
	if (is_paged()) :
		$fetch_archive = query_posts( "paged=".get_query_var( 'paged' ) );
	else :
		$fetch_archive = query_posts( "paged=1&posts_per_page=10" );
	endif;
?>
<ul class="double-cloumn clearfix">    
	<li id="left-column">	
		<h2 class="page-title"><?php the_title(); ?></h2>
		<ul class="archives_list">
			<?php
				foreach( $fetch_archive as $archive_data ) :
					global $post;
					$post = $archive_data;
					$category_id = get_the_category( $archive_data->ID );
					$this_category = get_category( $category_id[0]->term_id );
					$this_category_link = get_category_link( $category_id[0]->term_id );
					$link = get_permalink( $archive_data->ID );
					$args  = array('postid' => $post->ID, 'width' => 100, 'height' => 100, 'hide_href' => false, 'exclude_video' => true, 'imglink' => true, 'imgnocontainer' => true, 'resizer' => '100x100');
					$image = get_obox_media($args); ?>
					<li class="clearfix">
						<div class="archive-post-image">
							<?php echo $image; ?>
						</div>
						<?php if(get_option("ocmx_meta_date") != "false"): ?>     	
							<h5 class="date">
								<?php echo date_i18n('F dS', strtotime($archive_data->post_date)); ?>
							</h5>
						<?php endif; ?>
						<h4 class="post-title"><a href="<?php echo get_permalink($archive_data->ID); ?>"><?php the_title(); ?></a></h4>
						<?php if(get_option('ocmx_meta_comments') !="false" && comments_open()) : ?>
							<a href="<?php echo get_permalink($archive_data->ID); ?>/#comments" class="comment-count" title="Comment on <?php echo get_permalink($archive_data->post_title); ?>">
								<?php echo $archive_data->comment_count; ?> <?php _e("comments", "ocmx"); ?>
							</a>
						<?php endif; ?>
                        <?php if(get_option('ocmx_meta_category') !="false") : ?>
                            <span class="label">
                                <a href="<?php echo $this_category_link; ?>" title="<?php _e("View all posts in ", "ocmx"); echo $this_category->name; ?>" rel="category tag"><?php echo $this_category->name; ?></a>
                            </span>
                        <?php endif; ?>
					</li>
				<?php
					$last_month = date_i18n("m Y", strtotime($archive_data->post_date));
				endforeach; ?>
	   
		</ul>
		<?php motionpic_pagination("clearfix", "pagination clearfix"); ?>
	</li>
	<?php get_sidebar(); ?>
</ul>
<?php get_footer(); ?>