<?php
	global $post;
	$link = get_permalink($post->ID);
	$args  = array('postid' => $post->ID, 'width' => 580, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '580auto');
	$image = get_obox_media($args); 
	$author = get_option("ocmx_meta_author");
	$comments = get_option("ocmx_meta_comments");
	$category = get_option("ocmx_meta_category");?>

<li class="post">

	<!--Show the Title -->
    <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
    <!--Show the Meta if Enabled -->
    <?php if($category && $comments =="true") : ?>
        <h5 class="date">
            <?php if( $author != "false" ) {_e("Posted by ", "ocmx"); ?> <?php the_author_posts_link();} // Hide the date unless enabled in Theme Options ?>
            <?php if( $category != "false" ) {_e("in ", "ocmx"); ?> <?php the_category(', ');} // Hide the category unless enabled in Theme Options ?>
            <?php if( $comments !="false" && comments_open()) : ?>&nbsp;<a href="<?php echo get_permalink($archive_data->ID); ?>/#comments" class="comment-count" title="Comment on <?php echo get_permalink($archive_data->post_title); ?>"><?php echo $post->comment_count; ?> <?php _e("comments", "ocmx"); ?></a>
            <?php endif; ?>
        </h5>
	<?php endif; ?>
    <!--Show the Date -->
	<?php if(get_option("ocmx_meta_date_post") != "false"): ?>
		<div class="dater">
		    <span class="month"><?php echo date_i18n('M', strtotime($post->post_date)); ?></span>
		    <span class="day"><?php echo date_i18n('jS', strtotime($post->post_date)); ?></span>
		</div>
	<?php endif; ?>

    <!--Show the Featured Image -->
    <?php if( $image !="" ) : ?>
	    <div class="post-image fitvid">
		    <?php echo $image; ?>
	    </div>
    <?php endif; ?>

	<!--Begin Content -->
    <div class="copy clearfix">
		<?php if( get_option( "ocmx_content_length" ) != "no" ) :
			the_excerpt(); ?>
			<p><a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading &rarr;", "ocmx"); ?></a></p>
		<?php else :
			the_content();
		endif; ?>
    </div>

    <!--End Content -->
</li>