<?php get_header(); ?>

<?php if (get_option("ocmx_home_page_layout") == "preset") : 
		
	the_widget("feature_posts_widget", array(
		"posttype" => "post",
		"display_limit" => get_option("ocmx_feature_post_count"),
		"postfilter" => "category",
		"category" => get_option("ocmx_feature_post_cat"),
	)); ?>
		
	<div id="widget-block" class="clearfix">
		<ul class="widget-list">
			<?php
			if (get_option("ocmx_three_col_cat") != '0') :
								
				//THREE COL
				the_widget("ocmx_content_widget", array(
					"posttype" => "post",
					"post_count" => get_option("ocmx_three_col_post_count"),
					"layout_columns" => 'three',
					"postfilter" => "category",
					"category" => get_option("ocmx_three_col_cat"),
					"post_thumb" => get_option("ocmx_three_images"),
					"show_date" => get_option("ocmx_three_col_meta"),
					"show_excerpts" => get_option("ocmx_three_col_excerpt"), 
				));
				
			endif;
			
			if (get_option("ocmx_two_col_cat") != '0') :
				
				//TWO COL
				the_widget("ocmx_content_widget", array(
					"posttype" => "post",
					"post_count" => get_option("ocmx_two_col_post_count"),
					"layout_columns" => 'two',
					"postfilter" => "category",
					"category" => get_option("ocmx_two_col_cat"),
					"post_thumb" => get_option("ocmx_two_images"),
					"show_date" => get_option("ocmx_two_col_meta"),
					"show_excerpts" => get_option("ocmx_two_col_excerpt"), 
				));
				
			endif; ?>
		</ul>
	</div>

<?php elseif(get_option("ocmx_home_page_layout") == "widget") :

	dynamic_sidebar("homegallery"); 
	if (function_exists('dynamic_sidebar') && is_active_sidebar("homewidgets")) : ?>
	<div id="widget-block" class="clearfix">
		<ul class="widget-list clearfix">
			<?php dynamic_sidebar("homewidgets"); ?>
		</ul>
	</div>
	<?php endif; 
	
else :

	dynamic_sidebar("homegallery"); ?>
	
	<ul class="double-cloumn clearfix">
		  <li id="left-column">
				<ul class="blog-main-post-container">
					<?php if (have_posts()) :
						global $show_author;
						$show_author = 1;
						while (have_posts()) :	the_post(); setup_postdata($post);
						   get_template_part("/functions/fetch-list");
						endwhile;
					else :
						ocmx_no_posts();
					endif; ?>
				</ul>
				<?php motionpic_pagination("clearfix", "pagination clearfix"); ?>
		</li>
		<?php get_sidebar(); ?>
	</ul>
<?php endif; ?>
<?php get_footer(); ?>