<?php 
function ocmx_welcome_page(){
	global $pagenow;
	global $wp_version;
	global $productid;
	global $themename;
	global $themeid;
	$themes = wp_get_themes();
	$current_theme =  wp_get_theme();
	
function ocmx_admin_tabs( $current = 'step1' ) {
    $tabs = array( 
	'step1' => 'Step 1', 
	'step2' => 'Step 2', 
	'step3' => 'Step 3' );
    echo '<div id="obox-wrapper">';
	echo'<h2 class="obox-theme-name">';
	echo isset($themename); echo isset($themename)." ".isset($current_theme->Version); 
	echo '</h2>';
    echo '<h2 class="nav-tab-wrapper">';
    foreach( $tabs as $tab => $name ){
        $class = ( $tab == $current ) ? ' nav-tab-active' : '';
        echo "<a class='nav-tab$class' href='?page=obox-help&tab=$tab'>$name</a>";

    }
    echo '</h2>';
}

	if ( isset ( $_GET['tab'] ) ) ocmx_admin_tabs($_GET['tab']); else ocmx_admin_tabs('step1');

	if ( isset ( $_GET['tab'] ) ) $tab = $_GET['tab'];
	else $tab = 'step1';

	echo '<div class="obox-content">'; ?>
     
              <div class="section">
                <div class="columns-1 grid">
                    <div class="column">
                        <div class="obox-help-buttons">
                            <a href="http://kb.oboxthemes.com/documentation/handmade-two-docs/" class="demo-content" target="blank"><span>Demo Content</span></a>
                            <a href="http://kb.oboxthemes.com/documentation/handmade-two-docs/" class="documentation" target="_blank"><span>Documentation</span></a>
                           <a href="http://oboxthemes.com/support/" class="support-forums" target="_blank"><span>Get Support</span></a>
                        </div>
                        <h2 class="settings-title">Welcome to <?php echo $themename; ?> by Obox Themes</h2>
                        <p class="settings-intro">If you need step-by-step instructions for setting up and using the theme, check out our <a href="http://kb.oboxthemes.com/documentation/handmade-two-docs/" target="_blank"><?php echo $themename; ?> Theme documentation</a>. If you have done this before, you can use our Quick Setup steps below.</p>
                    </div>
                </div>
            </div>         
  <?php switch ( $tab ){
      case 'step2' :
         ?>
           <div class="section">

                    <div class="instructions">
                        <h3 class="instruction-title">Step 2. Add Your Content</h3>
                        <p class="instruction-intro">Before we can really get started, you first need to add content to WordPress. There are a number of different content types that you can create with <?php echo $themename; ?>. Be sure to read through the theme documentation for details about using each conten type.</p>
                    <p class="instruction-intro">If you prefer to pre-load our demo content into your theme to get a head start, you may use our demo content file linked from the first icon above. Note that this file cannot setup widgets or Theme Options - continue with the documentation or this quick guide even after loading this file to learn how to use the theme.</p>
                        
                        <ul class="columns-4 action-list">
                        <li class="column"><a href="<?php echo admin_url('post-new.php'); ?>" class="to-do" target="blank">Add Some Posts</a></li>
                        <li class="column"><a href="<?php echo admin_url('post-new.php?post_type=gallery'); ?>" class="to-do" target="blank">Setup Your Galleries</a></li>
                        <li class="column"><a href="<?php echo admin_url('post-new.php?post_type=page'); ?>" class="to-do" target="blank">Setup the Page Templates</a></li>
						<li class="column"><a href="<?php echo admin_url('nav-menus.php'); ?>" class="to-do" target="blank">Setup Your Menus</a></li>
                        <li class="column"><a href="?page=obox-help&tab=step3" class="next-step">Next Step &rarr;</a></li>
                        	
                        </ul>
                    </div>        
        	</div>
         <?php
      break;
      case 'step3' :
         ?>
    		<div class="section">
                <div class="instructions">
                    <h3 class="instruction-title">Step 3. Final step! Setup Home Page & Widgets</h3>
                    <p class="instruction-intro">Now that you've added your content and configured the theme, you will be able to setup your Home page and sidebars.</p>
						<p class="instruction-intro">The Theme Options panel allows you to customize several aspects of your theme, including your logo, button text or styes.</p>
                        <p class="instruction-intro">At the top of the Widgets page you will find a yellow ribbon containing a handy "Click Here" link, which will display the recommended widget setup if you get lost. </p>
                </div>
                <ul class="columns-4 action-list">
                    <li class="column"><a href="<?php echo admin_url('admin.php?page=ocmx-home'); ?>" target="blank" class="to-do">Choose a Homepage Layout</a></li>
                    <li class="column"><a href="<?php echo admin_url('widgets.php'); ?>" target="blank" class="to-do">Setup Your Widgets</a></li>
                    <li class="column"><a href="<?php echo admin_url('admin.php?page=functions.php'); ?>" class="to-do" target="blank">Configure Theme Options</a></li>
                    <li class="column"><a href="<?php echo admin_url('options-permalink.php'); ?>" class="to-do" target="blank">Enable "Post Name" Permalinks</a></li>
                </ul>
            </div>
         <?php
      break;
      case 'step1' :
         ?>                   
            <div class="section">
                <div class="instructions">
                    <h3 class="instruction-title">Step 1. Setup WooCommerce</h3>
                    <p class="instruction-intro">The shopping cart and products posts are driven by the WooCommmerce plugin, which you can download and install free through the WordPress plugin repository. Skip this step if you do not wish to use eCommerce.</p>
                </div>
                <ul class="columns-3 action-list">
                	<li class="column"><a href="<?php echo admin_url('plugin-install.php'); ?>" class="to-do" target="blank">Install WooCommerce</a></li>
                    <li class="column"><a href="<?php echo admin_url('admin.php?page=woocommerce_settings.php'); ?>" class="to-do" target="blank">Configure Your Shop</a></li>
                    <li class="column"><a href="<?php echo admin_url('post-new.php?post_type=product'); ?>" class="to-do" target="blank">Create Some Products</a></li>
                    <li class="column"><a href="?page=obox-help&tab=step2" class="next-step">Next Step &rarr;</a></li>
                </ul>
            </div>
	<?php
    break;
    }?>
    </div>
<?php }

function ocmx_check_welcome(){
	global $pagenow, $themeid;
	if(!get_option($themeid."_welcome") && isset($_GET["activated"]) && $pagenow == "themes.php") :
		update_option($themeid."_welcome", 1);
	    wp_redirect(admin_url('admin.php?page=obox-help'));
	endif; 
}
add_action("init", "ocmx_check_welcome");